Include WikiEditor in core
Closed, DeclinedPublic

Description

Hi this is a suggestion that wikieditor be added to the core and replace the old toolbar. since this would make the editor look really nice and more advanced.

See also: T30856: Remove classic edit toolbar from core

Paladox created this task.Mar 7 2015, 11:39 AM
Paladox updated the task description. (Show Details)
Paladox raised the priority of this task from to Needs Triage.
Paladox added a subscriber: Paladox.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2015, 11:39 AM
Aklapper changed the task status from Open to Stalled.Mar 9 2015, 1:02 PM

Please provide actual objective and convincing reasons.
"look really nice and more advanced" is not a reason, especially not without providing proof why that would be the case.

Well the objective and convincing reason is that with wikieditor built into mediawiki core it will provide an advanced editor instead of the current one installed. it will also make it add customisation which it already has but built into mediawiki which the current ecitor doesent have yet. it would also reduce people having to download wikieditor instead just downloding the updated mediawiki code which would include the code.

Aklapper changed the task status from Stalled to Open.Mar 10 2015, 11:04 AM
He7d3r renamed this task from Include wikieditor in core to Include WikiEditor in core.Mar 10 2015, 6:57 PM
He7d3r updated the task description. (Show Details)
He7d3r added a project: WikiEditor.
He7d3r set Security to None.
He7d3r added a subscriber: He7d3r.

I believe moving the classic edit toolbar out of core (instead of bringing another toolbar to core) is the way to go (see T30856).

Krinkle closed this task as Declined.Mar 12 2015, 7:49 PM
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.

WikiEditor has been bundled with MediaWiki since MediaWiki 1.18. So anyone installing it by normal means as a customer already gets it by default.

As for moving into MediaWiki core, that has no added positive value and lots of negative value (at the very least it needs a way to be fully disabled to allow users to install other editors, such as CKEditor, like Wikia does). Having bare MediaWiki only provide a text area with nothing around it seems like a great platform to build on. Extensions can bring in their own and site administrators can install the one(s) they want.

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:09 AM